## gir2pas 0.1.0

=== Makefile ===
SOURCES=$(wildcard *.pas)
TARGET_CPU=$(shell fpc -iTP)
TARGET_OS=$(shell fpc -iTO)
UNITS_DIR=lib/${TARGET_CPU}-${TARGET_OS}
OPTIONS=\
 -MObjFPC\
 -Scghi\
 -Cg\
 -O1\
 -gw2\
 -godwarfsets\
 -gl\
 -l\
 -vewnhibq\
 -Fi${UNITS_DIR}\
 -Fu${UNITS_DIR}\
 -FU${UNITS_DIR}\
 -FE.\

OBJ=*.o *.or *.ppu *.rsj

gir2pas:gir2pascal.lpr $(SOURCES)
	mkdir -p ${UNITS_DIR}
	fpc $(OPTIONS) $< -o$@

clean:
	${RM} -r gir2pas ${UNITS_DIR} $(OBJ)

.PHONY: clean

=== debian/changelog ===
gir2pas (0.1.0-2) unstable; urgency=medium

  * Added automatic manual page generation with help2man.
    - Add help2man to Build-Depends in debian/control.
    - Generate debian/gir2pas.1 in debian/rules using help2man.
    - Ensure debhelper installs the generated page via debian/gir2pas.manpages.
  * Added a patch to update FSF contact information.
    - Add fix-fsf-address.patch with DEP-3 machine-readable headers to
      replace physical FSF addresses with URLs in upstream source files
      (LICENSE.md, *.pas, *.lpr).
    - Update debian/copyright directly to use the FSF license URL.
    - Update debian/patches/series to include the new patch.
    - Resolve lintian warning: old-fsf-address-in-copyright-file.
  * Corrected project URL to GitHub in debian/control.
  * Enabled hardening when building gir2pas using FPC.
    - Patch Makefile to support extra compiler options via FPCOPTS.
    - Pass @hardening to FPC in debian/rules to resolve Lintian error:
      statically-linked-binary.
    - Add fp-utils package to Build-Depends as it is required when using
      @hardening in FPC configuration.

 -- Mazen Neifer <mazen@debian.org>  Sun, 01 Mar 2026 23:40:01 +0100

gir2pas (0.1.0-1) unstable; urgency=medium

  * Initial upstream branch.
  * New upstream version 0.1.0

 -- Mazen Neifer <mazen@debian.org>  Mon, 16 Feb 2026 17:06:05 +0100

gir2pas (0.0.0-0) unreleased; urgency=medium

  * Packaging gir2pas for Debian.

 -- Mazen Neifer <mazen@debian.org>  Tue, 10 Feb 2026 12:00:00 +0100

=== debian/control ===
Source: gir2pas
Section: devel
Priority: optional
Maintainer: Mazen Neifer <mazen@debian.org>
Build-Depends: debhelper-compat (= 13), fp-compiler, fp-units-fcl, fp-utils, help2man
Standards-Version: 4.7.0
Homepage: https://gitlab.com/gtk4pas/gir2pas
Vcs-Browser: https://salsa.debian.org/pascal-team/gtk4pas/gir2pas
Vcs-Git: https://salsa.debian.org/pascal-team/gtk4pas/gir2pas.git

Package: gir2pas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pascal binding generator for GObject Introspection
 gir2pas is a tool that generates Pascal bindings for GObject-based libraries
 using GObject Introspection (GIR) files.
 It produces Lazarus/FreePascal compatible units (Object Pascal, Delphi-like).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- FPCOPTS=@hardening

override_dh_auto_install:
	# No 'install' target in Makefile, dependencies handled by dh_install via debian/install.

execute_after_dh_auto_build:
	help2man --no-info --name="Pascal binding generator for GObject Introspection" \
		--version-string=$(shell dpkg-parsechangelog -S Version) \
		./gir2pas > debian/gir2pas.1

=== debian/watch ===
version=4

opts="pagemangle=s!\"name\":\"(v?@ANY_VERSION@)\"!<a href=\"https://gitlab.com/gtk4pas/gir2pas/-/archive/$1/gir2pas-$1.tar.bz2\">!g" \
  https://gitlab.com/api/v4/projects/gtk4pas%2Fgir2pas/repository/tags \
  https://gitlab.com/gtk4pas/gir2pas/.*/gir2pas-v?@ANY_VERSION@@ARCHIVE_EXT@
